QGIS Application - Bug report #3246
Selecting features very fast crashes QGIS
2010-11-23 05:57 AM - zicke -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No
Operating System: RedHat Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13306
Description

1) Load a polygon layer.

2) Select the "Select features by rectangle” tool.

3) Select and deselect a polygon very fast. Approx. double-click speed.
-> QGIS crashes.

I'm using r14737. This does not happen with 1.5.

Associated revisions

Revision ba79bb2d - 2011-01-07 05:56 PM - Jiirgen Fischer

fix #3246

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15004 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 49d103d2 - 2011-01-07 05:56 PM - Jiirgen Fischer

fix #3246

git-svn-id: http://svn.osgeo.org/qgis/trunk@15004 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-01-07 06:37 AM - Giuseppe Sucameli

Confirmed on Ubuntu 9.10 and QGis trunk commit:c4743a08 (SVN r14998).

1. QGis crashes by just double-click on feature using "select features by rectangle".

2. QGis crashes also using "select features by radius" drawing a one-point circle (I move the mouse for 1px and then back)

#2 - 2011-01-07 08:57 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in. ? grml, missed a round commit again - maybe I'll not make any before we switch to git.

2025-04-27

12



http://svn.osgeo.org/qgis/trunk/qgis@15004
http://svn.osgeo.org/qgis/trunk@15004

2025-04-27 22



